# All order activity (deprecated) (deprecated) Fetches all activity for a client's orders. Endpoint: GET /api/v1/order/activity Version: v1.0.4 Security: HMAC ## Header parameters: - `x-truex-auth-userid` (string, required) Client identifier. - `x-truex-auth-timestamp` (string, required) Timestamp when request was made in seconds since epoch. Must be no older than 15 seconds and no more than 1 second in the future. - `x-truex-auth-token` (string, required) The UUID affiliated with the HMAC key. - `x-truex-auth-signature` (string, required) The computed HMAC signature. ## Query parameters: - `size` (string) Number of records to return per page. Maximum allowed value is 100. - `skip` (string) Number of records to skip before returning results. - `timestamp` (string, required) A Unix UTC timestamp in nanoseconds used as a reference point for fetching activity. Example: "1741523275598727336" - `client_id` (string) Comma-separated list of client IDs to filter results. Example: "78901968715907076" - `order_id` (string) Comma-separated list of order IDs to filter results. Example: "8005237327190949926" - `msg_type` (string) Comma-separated list of activity message types to filter results. Example: "REPORT_TRADE" ## Response 400 fields (application/problem+json): - `type` (string, required) A URI reference that identifies the problem type. Example: "about:blank" - `title` (string, required) A short, human-readable summary of the problem type. Example: "An Error Occured" - `status` (integer, required) The HTTP status code generated by the origin server. Example: 400 - `detail` (string) A human-readable explanation specific to this occurrence of the problem. Example: "A more detailed sentence about the error" - `instance` (string) A URI reference that identifies the specific occurrence of the problem. Example: "/api/v1/endpoint" - `extensions` (object) A map for extension members (custom fields not defined by the RFC). ## Response 401 fields (application/problem+json): - `type` (string, required) A URI reference that identifies the problem type. Example: "about:blank" - `title` (string, required) A short, human-readable summary of the problem type. Example: "An Error Occured" - `status` (integer, required) The HTTP status code generated by the origin server. Example: 400 - `detail` (string) A human-readable explanation specific to this occurrence of the problem. Example: "A more detailed sentence about the error" - `instance` (string) A URI reference that identifies the specific occurrence of the problem. Example: "/api/v1/endpoint" - `extensions` (object) A map for extension members (custom fields not defined by the RFC). ## Response 403 fields (application/problem+json): - `type` (string, required) A URI reference that identifies the problem type. Example: "about:blank" - `title` (string, required) A short, human-readable summary of the problem type. Example: "An Error Occured" - `status` (integer, required) The HTTP status code generated by the origin server. Example: 400 - `detail` (string) A human-readable explanation specific to this occurrence of the problem. Example: "A more detailed sentence about the error" - `instance` (string) A URI reference that identifies the specific occurrence of the problem. Example: "/api/v1/endpoint" - `extensions` (object) A map for extension members (custom fields not defined by the RFC). ## Response 408 fields (application/problem+json): - `type` (string, required) A URI reference that identifies the problem type. Example: "about:blank" - `title` (string, required) A short, human-readable summary of the problem type. Example: "An Error Occured" - `status` (integer, required) The HTTP status code generated by the origin server. Example: 400 - `detail` (string) A human-readable explanation specific to this occurrence of the problem. Example: "A more detailed sentence about the error" - `instance` (string) A URI reference that identifies the specific occurrence of the problem. Example: "/api/v1/endpoint" - `extensions` (object) A map for extension members (custom fields not defined by the RFC). ## Response 415 fields (application/problem+json): - `type` (string, required) A URI reference that identifies the problem type. Example: "about:blank" - `title` (string, required) A short, human-readable summary of the problem type. Example: "An Error Occured" - `status` (integer, required) The HTTP status code generated by the origin server. Example: 400 - `detail` (string) A human-readable explanation specific to this occurrence of the problem. Example: "A more detailed sentence about the error" - `instance` (string) A URI reference that identifies the specific occurrence of the problem. Example: "/api/v1/endpoint" - `extensions` (object) A map for extension members (custom fields not defined by the RFC). ## Response 500 fields (application/problem+json): - `type` (string, required) A URI reference that identifies the problem type. Example: "about:blank" - `title` (string, required) A short, human-readable summary of the problem type. Example: "An Error Occured" - `status` (integer, required) The HTTP status code generated by the origin server. Example: 400 - `detail` (string) A human-readable explanation specific to this occurrence of the problem. Example: "A more detailed sentence about the error" - `instance` (string) A URI reference that identifies the specific occurrence of the problem. Example: "/api/v1/endpoint" - `extensions` (object) A map for extension members (custom fields not defined by the RFC). ## Response 503 fields (application/problem+json): - `type` (string, required) A URI reference that identifies the problem type. Example: "about:blank" - `title` (string, required) A short, human-readable summary of the problem type. Example: "An Error Occured" - `status` (integer, required) The HTTP status code generated by the origin server. Example: 400 - `detail` (string) A human-readable explanation specific to this occurrence of the problem. Example: "A more detailed sentence about the error" - `instance` (string) A URI reference that identifies the specific occurrence of the problem. Example: "/api/v1/endpoint" - `extensions` (object) A map for extension members (custom fields not defined by the RFC).